<template>
  <!-- display title -->
  <v-card-title class="text-h6 text-md-h5 text-lg-h4 ">{{ title }}</v-card-title>

  <v-row class="d-flex flex-row justify-space-between flex-wrap ">

    <v-col class="rounded-t-lg rounded-b-lg d-flex flex-column align-center" v-for="(item, i) in items" :key="i">

      <!-- quickAcces button -->
      <v-btn class="rounded-t-lg rounded-b-lg"
        :class="['pa-2', 'd-flex', 'align-center', { 'card-hover': activeCard === i }, getIconColor(item.iconColor)]"
        @mouseenter="hoverCard(i)" @mouseleave="unHoverCard()" @click="onClickAcces(i)" style="text-align: center;"
        width="40" height="60">
        <v-icon size="30" :icon="item.icon"></v-icon>
      </v-btn>
      <!-- quickAcces name -->
      <span class="text-body-2 mt-2">{{ item.text }}</span>
    </v-col>

    <!-- quickAcces Add button -->
    <v-col class="rounded-t-lg rounded-b-lg d-flex flex-column align-center">
      <v-btn class="pa-2 rounded-t-lg rounded-b-lg"
        style="background-color: #F5F5F5; border: 4px dashed #E0E0E0; width: 40px; height: 60px;">
        <v-icon icon="mdi mdi-plus" @click="onClickAdd"></v-icon>
      </v-btn>
      <span class="text-body-2 mt-2">Add</span>
    </v-col>
  </v-row>
</template>

<script>
export default {
  props: {
    title: String,
    items: Array,
  },
  data() {
    return {
      activeCard: null,

    };
  },
  methods: {
    hoverCard(i) {
      this.activeCard = i;
    },
    unHoverCard() {
      this.activeCard = null;
    },
    getIconColor(color) {
      return {
        [color]: true,
      };
    },
    // onClick quickAcces 
    onClickAcces(i) {
      console.log('onClick Quick Acces', i);
    },

    // onClick Add button
    onClickAdd() {
      this.$emit('addQuickAccessItem', {
        icon: "mdi mdi-play-box",
        text: "New Item",
        iconColor: "red-icon"
      });

    },
  }
};
</script>
<style scoped>
.card-hover:hover,
.card-hover:active {
  background-color: #1E88E5;
  color: white;
}

.red-icon {
  color: red !important;
}

.blue-icon {
  color: #1976D2 !important;
}

.green-icon {
  color: #43A047 !important;
}

.gray-icon {
  color: #90A4AE !important;
}

.orange-icon {
  color: #FFA726 !important;
}

.purple-icon {
  color: #6A1B9A !important;
}
</style>